org.apache.synapse.commons.staxon.core.json.stream

## Interface JsonStreamTarget

- All Superinterfaces:
    java.lang.AutoCloseable, java.io.Closeable, java.io.Flushable
  All Known Implementing Classes:
    AutoArrayTarget, AutoPrimitiveTarget, CustomRegexIgnoreAutoPrimitiveTarget, CustomRegexMatchReplaceIgnoreAutoPrimitiveTarget, RemoveRootTarget, StreamTargetDelegate

      public interface JsonStreamTarget
      extends java.io.Closeable, java.io.Flushable

  JSON stream target.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endArray()` End array.
    `void` | `endObject()` End object.
    `void` | `name(java.lang.String name)` Write name.
    `void` | `startArray()` Start array.
    `void` | `startObject()` Start object
    `void` | `value(java.lang.Object value)` Write value.

    - ### Methods inherited from interface java.io.Closeable

      `close`

    - ### Methods inherited from interface java.io.Flushable

      `flush`

- - ### Method Detail

    - #### name

          void name(java.lang.String name)
             throws java.io.IOException

      Write name.
      Parameters:
        `name` -
      Throws:
        `java.io.IOException`

    - #### value

          void value(java.lang.Object value)
              throws java.io.IOException

      Write value.
      Parameters:
        `value` -
      Throws:
        `java.io.IOException`

    - #### startObject

          void startObject()
                    throws java.io.IOException

      Start object
      Throws:
        `java.io.IOException`

    - #### endObject

          void endObject()
                  throws java.io.IOException

      End object.
      Throws:
        `java.io.IOException`

    - #### startArray

          void startArray()
                   throws java.io.IOException

      Start array.
      Throws:
        `java.io.IOException`

    - #### endArray

          void endArray()
                 throws java.io.IOException

      End array.
      Throws:
        `java.io.IOException`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.